body {
    margin: 0;
    padding: 0;
}

.container {
    background-image: url(../img/rana-sawalha-364253-unsplash.png);
    background-attachment: fixed;
    background-size: cover;
    font-family: Verdana, sans-serif;
}

.clearfix {
    content: "";
    display: block;
    clear: both;
}

a  {
    text-decoration: none;
}

/* HEADER BLOCK */

.header-field {
    height: 56px;
    padding-left: 81px;
    padding-right: 75px;
    background-color: rgba(0, 0, 0, 0.41);
    color: #ffffff;
}

.header-title {
    float: left;
    margin-top: 19px;
    font-size: 20px;
    line-height: 1.05;
    text-align: left;
    text-transform: uppercase;
    transition: 0.2s;
    cursor: pointer;
}

.header-title:hover {
    color: #3cb878;
}

.header-right {
    float: right;
    margin-top: 18px;
    font-size: 0;
}

.header-icons,
.line,
.header-right-welcome {
    display: inline-block;
    vertical-align: bottom;
}

.icon {
    display: inline-block;
    background: url('../img/sprites/sprite-1.png') no-repeat;
    margin-right: 28px;
}

.ic-calendar {
    width: 19px;
    height: 19px;
    background-position: -10px -120px;
}

.ic-calendar:hover {
    background-position: -10px -149px;
}

.ic-forum {
    width: 28px;
    height: 20px;
    background-position: -10px -0px;
}

.ic-forum:hover {
    background-position: -10px -30px;
}

.ic-journey {
    width: 20px;
    height: 20px;
    margin-right: 25px;
    background-position: -10px -60px;
}

.ic-journey:hover {
    background-position: -10px -90px;
}

.line {
    width: 1px;
    height: 19px;
    margin-right: 24px;
    background-color: #32302e;
}

.text-green {
    color: #3cb878;
}

.text-green:hover {
    border-bottom: 1px solid #3cb878;
}

.header-right-welcome {
    font-size: 14px;
}


/* MAIN CONTENT*/

.main-content {
    height: calc(100vh - 56px);
    display: flex;
    justify-content: center;
    align-items: center;
}

.login-form {
    position: relative;
    width: 444px;
    background-color: #ffffff;
    color: #434343;
    border-radius: 10px;
    box-shadow: 0 4px 18px 0 rgba(0, 0, 0, 0.52);
}

.login-form::before {
    content: "";
    display: block;
    position: absolute;
    top: 30px;
    width: 18px;
    height: 18px;
    background-color: #3cb878;
}

.login-form-container {
    padding: 29px 60px 32px 60px;
}

.login-form-title {
    display: flex;
    justify-content: space-between;
}

.text-sign-up {
    font-size: 20px;
    line-height: 1.1;
}

.text-log-in {
    padding-top: 4px;
    font-size: 14px;
    color: #3cb878;
}

.text-log-in:hover {
    border-bottom: 1px solid #3cb878;
}

.login-buttons {
    margin-top: 16px;
    display: flex;
    justify-content: space-between;
}

.login-btn {
    width: 157px;
    height: 46px;
    color: #ffffff;
    border-radius: 3px;
    font-size: 0;
}

.fb-login-btn {
    margin-right: 8px;
    background-color: #305db8;
}

.fb-login-btn:hover {
    background-color: #264b96;
}

.google-login-btn {
    background-color: #df4a32;
}

.google-login-btn:hover {
    background-color: #c3412c;
}

.fa,
.login-buttons-line,
.fb-btn-text,
.google-img,
.google-btn-text {
    display: inline-block;
    margin-top: 9px;
    vertical-align: middle;
}

.login-buttons-line {
    width: 1px;
    height: 28px;
    background-color: rgba(0,0,0,0.1);
}

.fa {
    font-size: 20px;
}

.fa-facebook {
    margin-left: 20px;
    margin-right: 17px;
}

.fa-google-plus {
    margin-left: 13px;
    margin-right: 9px;
}

.fb-btn-text,
.google-btn-text {
    font-size: 16px;
}

.fb-btn-text {
    margin-left: 18px;
}

.google-btn-text {
    margin-left: 24px;
}

.or-line {
    position: relative;
    margin-top: 33px;
    color: #848484;
    font-size: 14px;
    text-align: center;
}

.or-line::before,
.or-line::after {
     content: "";
     display: block;
     position: absolute;
     top: 10px;
     width: 135px;
     height: 1px;
     background-color: #eaeaea;
 }

.or-line::after {
    right: 0;
}

.main-form {
    margin-top: 18px;
    font-size: 14px;
}

.main-form input {
    width: 100%;
    margin-bottom: 9px;
    padding: 17px 0;
    text-indent: 18px;
    color: #434343;
    border-radius: 3px;
    border: 1px solid #eaeaea;
    transition: all 0.1s;
    box-sizing: border-box;
    outline: none;
}

.main-form input:nth-last-of-type(2) {
    margin-bottom: 22px;
}

.main-form::placeholder {
    color: #bebebe;
}

.main-form input:focus {
    box-shadow: 0 3px 8px #d6d6d6;
}


/* CHECKBOX*/

.checkbox {
    margin: 0;
    display: none;
}

label {
    position: relative;
    padding-left: 30px;
}

.checkbox {
    margin-bottom: 28px;
}

label::before,
label::after {
    content: "";
    display: inline-block;
    font-size: 16px;
    line-height: 24px;
    position: absolute;

}

label::before {
    width: 20px;
    height: 20px;
    border: 1px solid #eaeaea;
    border-radius: 2px;
    background-color: #ffffff;
    left: 0;
    top: -2px;
}

label::after {
    width: 11px;
    height: 7px;
    border-left: 3px solid #3cb878;
    border-bottom: 3px solid #3cb878;
    transform: rotate(-45deg);
    left: 4px;
    top: 2px;
}

.checkbox + label::after {
    content: none;
}

.checkbox:checked + label::after {
    content: "";
}

.agreement-link {
    color: #3cb878;
}

.agreement-link:hover {
    text-decoration: underline;
}

.submit-btn {
    width: 100%;
    margin-top: 28px;
    padding: 14px 0;
    color: #ffffff;
    font-size: 16px;
    background-color: #3cb878;
    border: none;
    border-radius: 3px;
    outline: none;
    transition: all 0.2s;
}

.submit-btn:hover {
    background-color: #329a65;
}